#ifndef _REASON_H_
#define  _REASON_H_

#define R_UNKNOW_ERROR            (0)
#define R_SOME_FATAL_ERROR        (1)

#define R_RESOLVER_DOWN          (10)
#define R_RESOLVER_ERROR         (11)
#define R_RESOLVER_NOTFOUND      (12)

#define R_SERVER_NOTFOUND        (20)
#define R_SERVER_ERROR_RES       (21)

#define R_UNSUPPORT_METHOD       (30)
#define R_IGNORE_URL             (31)
#define R_TOOLONG_URL            (33)
#define R_UNSUPPORT_PROTOCOL     (34)
#define R_TOOLONG_REQ            (35)

#define R_CLIENTLOST_INREQ       (40)
#define R_SERVERLOST_INREQ       (41)

#define R_MEMORY_OVERFLOW        (51)
#define R_LOST_BLOCK             (52)

#define R_FAIL_SERVER_READ       (61)
#define R_FAIL_SERVER_WRITE      (62)
#define R_FAIL_CLIENT_READ       (63)
#define R_FAIL_CLIENT_READ_EMPTY (64)
#define R_FAIL_CLIENT_WRITE      (65)
#define R_FAIL_SERVER_CONNECT    (66)
#define R_FAIL_SERVER_SOCKET     (67)
#define R_LOST_SERVER_CONNECT    (68)

#define R_TIMEOUT                (71)
#define R_CLIENT_TIMEOUT         (72)
#define R_SERVER_TIMEOUT         (73)
#define R_WFRIEND_TIMEOUT        (74)
#define R_RESOLVE_TIMEOUT        (75)
#define R_SIBLING_TIMEOUT        (76)


#endif /* _REASON_H_ */
